# rpmtd_s Struct Reference
[RPM Tag Data Container API.]

Container for rpm tag data (from headers or extensions). More...

`#include <rpmtd.h>`

## Data Fields

rpmTag | tag
rpmTagType | type
rpm_count_t | count
rpm_data_t | data
rpmtdFlags | flags
int | ix

## Detailed Description

Container for rpm tag data (from headers or extensions).

Todo:
  Make this opaque (at least outside rpm itself)

Definition at line 22 of file rpmtd.h.

## Field Documentation

rpmTag rpmtd_s::tag

Definition at line 23 of file rpmtd.h.

rpmTagType rpmtd_s::type

Definition at line 24 of file rpmtd.h.

rpm_count_t rpmtd_s::count

Definition at line 25 of file rpmtd.h.

rpm_data_t rpmtd_s::data

Definition at line 26 of file rpmtd.h.

rpmtdFlags rpmtd_s::flags

Definition at line 27 of file rpmtd.h.

int rpmtd_s::ix

Definition at line 28 of file rpmtd.h.

The documentation for this struct was generated from the following file:

- rpmtd.h